Gamestarter: Retrogaming add-ons (RPi/Generic)

  • Anyone running Gamestarter Addons with the new RPi 4?Is it working OK?

    I have installed retroarch, but it crashes on startup and just restart kodi. So I guess an update is required to get it to work.

  • I have installed retroarch, but it crashes on startup and just restart kodi. So I guess an update is required to get it to work.

    If you are using LE 9.1.001 onwards you need to download the 2 libass files from here and it should work normally...at least on Rpi2 and 3..I assume it's the same for 4..

  • Don't work with LibreElec 9.80 test build (ARM) from Index of /


    Gamestarter Install is OK, but reboot when launch RetroArch or EmulationStation.


    libass add change nothing...

  • Gamestarter Install is OK, but reboot when launch RetroArch or EmulationStation.


    libass add change nothing...


    Install LibreELEC-Generic.x86_64-9.1.002


    Any help?

  • There shouldn't be any issues...all is working fine..

    Did you add both files to the folder?

    Code
    1. /storage/.kodi/addons/game.retroarch/lib


    If you did better you post some logs...mainly


    Code
    1. /storage/.kodi/temp/retroarch.log

    and

    Code
    1. /storage/.kodi/temp/retroarch_debug.log
  • Added libssl and libcrypto, still hitting a snag.

    I don't think Gamestarter is yet updated to work properly with latest Rpi4 and LE 9.1.....

    It does work with LE 9.1 with some tweaks with RPi 2 & 3.


    Maybe in the meantime you can try this with Rpi 4

  • new RA addon beta uploaded 9.178.15 (beta-1): It works with LE 9.2 without missing libs and it includes new retroarch 1.7.8 v4


    I need some feedback/testers before include it in Gamestarter repo, just RPi 2/3 and Generic, sorry RPi 4 owners...


    game.retroarch-9.178.15.zip

    Tested on Rpi2...updated from latest in repo....update went fine....all my setup intact and all working fine!Thanks

  • thanks a lot Mario77 !!


    I need to test it in LE 9 but I'm afraid it won't work, so I will not include it in gamestarter repo until LE 9.2 official release.


    About RPi4, I tried to crosscompile using lakka's LE9.2 branch but it fails, I will continue trying but not now... maybe when I get a RPi4 myself...

  • thanks a lot Mario77 !!


    I need to test it in LE 9 but I'm afraid it won't work, so I will not include it in gamestarter repo until LE 9.2 official release.


    About RPi4, I tried to crosscompile using lakka's LE9.2 branch but it fails, I will continue trying but not now... maybe when I get a RPi4 myself...

    I'm running LibreELEC-RPi2.arm-9.1.501.img.gz on my Pi2...That's where I have game.retroarch-9.178.15.zip installed and working fine.

  • Yeah, me too. But I mean working in official LE9 release that is LLibreELEC-RPi2.arm-9.0.2.img.gz. I need to test the latest addon in that LE version, id it works I will include it in repo, if it doesn't I will wait until LE9.2 become official.


    Also I tested in Generic PC running LE 9.2 beta and it works ok.

  • Yeah, me too. But I mean working in official LE9 release that is LLibreELEC-RPi2.arm-9.0.2.img.gz. I need to test the latest addon in that LE version, id it works I will include it in repo, if it doesn't I will wait until LE9.2 become official.


    Also I tested in Generic PC running LE 9.2 beta and it works ok.

    Ok I understand...I won't downgrade my main setup to LE 9 now but when I find some time I ll try it on another sd card...hopefully someone will do it before.